--[[

ARL-Alchemy.lua

Alchemy data for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")
local BTS		= AceLibrary("Babble-Tradeskill-2.2")
local BFAC		= AceLibrary("Babble-Faction-2.2")

-- Initializes the array adding all Alchemy recipes.  As of 2.2 there are 178 recipes.

function ARL:ARL_InitAlchemy()

	--local Version
	--if _G.GetSpellInfo then Version = "2.4" else Version = "2.3" end

	ARL:ARL_InitializeRecipeArray()

	-- Trainer Recipes
	ARL:addTradeSkill2(2330, 1, L["Trainer"])
	ARL:addTradeSkill2(2329, 1, L["Trainer"])
	ARL:addTradeSkill2(7183, 1, L["Trainer"])
	ARL:addTradeSkill2(3170, 15, L["Trainer"])
	ARL:addTradeSkill2(2331, 25, L["Trainer"])
	ARL:addTradeSkill2(2332, 40, L["Trainer"])
	ARL:addTradeSkill2(2334, 50, L["Trainer"])
	ARL:addTradeSkill2(2337, 55, L["Trainer"])
	ARL:addTradeSkill2(7836, 80, L["Trainer"])
	ARL:addTradeSkill2(3171, 90, L["Trainer"])
	ARL:addTradeSkill2(7179, 90, L["Trainer"])
	ARL:addTradeSkill2(7841, 100, L["Trainer"])
	ARL:addTradeSkill2(3447, 110, L["Trainer"])
	ARL:addTradeSkill2(3173, 120, L["Trainer"])
	ARL:addTradeSkill2(3176, 125, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Defense"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Fire Oil"], 130, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Firepower"], 140, L["Trainer"])
	ARL:addTradeSkill2(7181, 155, L["Trainer"])
	ARL:addTradeSkill2(3452, 160, L["Trainer"])
	ARL:addTradeSkill2(3448, 165, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Agility"], 185, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Greater Defense"], 195, L["Trainer"])
	ARL:addTradeSkill(BTS["Catseye Elixir"], 200, L["Trainer"])
	ARL:addTradeSkill(BTS["Oil of Immolation"], 205, L["Trainer"])
	ARL:addTradeSkill2(11448, 205, L["Trainer"])
	ARL:addTradeSkill2(11457, 215, L["Trainer"])
	ARL:addTradeSkill2(22808, 215, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Detect Undead"], 230, L["Trainer"])
	ARL:addTradeSkill2(15833, 230, L["Trainer"])
	ARL:addTradeSkill(BTS["Arcane Elixir"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Greater Intellect"], 235, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Greater Agility"], 240, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Detect Demon"], 250, L["Trainer"])
	ARL:addTradeSkill(BTS["Stonescale Oil"], 250, L["Trainer"])
	ARL:addTradeSkill2(17553, 260, L["Trainer"] .. "\n    - " .. ARL:ARL_AddVendor({134}, false))
	ARL:addTradeSkill2(17556, 275, L["Trainer"])
	ARL:addTradeSkill(BTS["Adept's Elixir"], 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Onslaught Elixir"], 300, L["Trainer"])
	ARL:addTradeSkill2(33732, 300, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Major Strength"], 305, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Healing Power"], 310, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Major Fortitude"], 310, L["Trainer"])
	ARL:addTradeSkill2(33733, 310, L["Trainer"])
	ARL:addTradeSkill2(45061, 325, L["Trainer"])
	ARL:addTradeSkill(BTS["Elixir of Mastery"], 315, L["Trainer"])
	ARL:addTradeSkill2(39638, 320, L["Trainer"])
	ARL:addTradeSkill(BTS["Mercurial Stone"], 325, L["Trainer"])
	ARL:addTradeSkill2(28551, 325, L["Trainer"])

	-- Vendor Recipes
	ARL:addTradeSkill2(6617, 60, ARL:ARL_AddVendor({130, 131, 12, 132}, false))
	ARL:addTradeSkill2(7255, 100, ARL:ARL_AddVendor({133, 76, 132}, false))
	ARL:addTradeSkill(BTS["Shadow Protection Potion"], 135, ARL:ARL_AddVendor({110, 135}, false))
	ARL:addTradeSkill(BTS["Free Action Potion"], 150, ARL:ARL_AddVendor({136, 137, 134}, false))
	ARL:addTradeSkill(BTS["Shadow Oil"], 165, ARL:ARL_AddVendor({138, 140}, false))
	ARL:addTradeSkill(BTS["Fire Protection Potion"], 165, ARL:ARL_AddVendor({141, 142}, false))
	ARL:addTradeSkill(BTS["Great Rage Potion"], 175, ARL:ARL_AddVendor({131, 134}, false))
	ARL:addTradeSkill(BTS["Frost Protection Potion"], 190, ARL:ARL_AddVendor({143, 144}, false))
	ARL:addTradeSkill(BTS["Nature Protection Potion"], 190, ARL:ARL_AddVendor({145, 146, 147, 144}, false))
	ARL:addTradeSkill(BTS["Frost Oil"], 200, ARL:ARL_AddVendor({148}, false))
	ARL:addTradeSkill(BTS["Philosopher's Stone"], 225, ARL:ARL_AddVendor({145}, false))
	ARL:addTradeSkill(BTS["Transmute: Iron to Gold"], 225, ARL:ARL_AddVendor({145}, false))
	ARL:addTradeSkill(BTS["Transmute: Mithril to Truesilver"], 225, ARL:ARL_AddVendor({145}, false))
	ARL:addTradeSkill(BTS["Ghost Dye"], 245, ARL:ARL_AddVendor({146, 147}, false))
	ARL:addTradeSkill(BTS["Elixir of Shadow Power"], 250, ARL:ARL_AddVendor({149, 150}, false))
	ARL:addTradeSkill(BTS["Elixir of Demonslaying"], 250, ARL:ARL_AddVendor({151, 152}, false))
	ARL:addTradeSkill(BTS["Elixir of Superior Defense"], 265, ARL:ARL_AddVendor({136, 137}, false))
	ARL:addTradeSkill(BTS["Transmute: Arcanite"], 275, ARL:ARL_AddVendor({145}, false))
	ARL:addTradeSkill(BTS["Transmute: Fire to Earth"], 275, ARL:ARL_AddVendor({123}, false))
	ARL:addTradeSkill(BTS["Elixir of Camouflage"], 305, ARL:ARL_AddVendor({154, 155, 156, 157, 158}, false))
	ARL:addTradeSkill(BTS["Sneaking Potion"], 315, ARL:ARL_AddVendor({159, 160}, false))
	ARL:addTradeSkill(BTS["Elixir of Major Frost Power"], 320, ARL:ARL_AddVendor({161, 160}, false))
	ARL:addTradeSkill(BTS["Elixir of Ironskin"], 330, ARL:ARL_AddVendor({162, 163}, false), {L["PVP"]})
	ARL:addTradeSkill(BTS["Super Mana Potion"], 340, ARL:ARL_AddVendor({157, 161}, false))
	ARL:addTradeSkill(BTS["Elixir of Major Defense"], 345, ARL:ARL_AddVendor({157, 161}, false))
	ARL:addTradeSkill(BTS["Major Dreamless Sleep Potion"], 350, ARL:ARL_AddVendor({157, 159}, false))
	ARL:addTradeSkill(BTS["Transmute: Primal Might"], 350, ARL:ARL_AddVendor({155, 158, 164}, false))

	-- World Drops
	ARL:addTradeSkill(BTS["Elixir of Minor Agility"], 50, L["UWD"])
	ARL:addTradeSkill(BTS["Swiftness Potion"], 60, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Giant Growth"], 90, L["UWD"])
	ARL:addTradeSkill(BTS["Minor Magic Resistance Potion"], 110, L["UWD"])
	ARL:addTradeSkill(BTS["Potion of Curing"], 120, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Lesser Agility"], 140, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Ogre's Strength"], 150, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Fortitude"], 175, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Detect Lesser Invisibility"], 195, L["UWD"])
	ARL:addTradeSkill(BTS["Magic Resistance Potion"], 210, L["UWD"])
	ARL:addTradeSkill(BTS["Invisibility Potion"], 235, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Dream Vision"], 240, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Giants"], 245, L["UWD"])
	ARL:addTradeSkill(BTS["Limited Invulnerability Potion"], 250, L["UWD"])
	ARL:addTradeSkill(BTS["Transmute: Earth to Life"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Transmute: Undeath to Water"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Transmute: Water to Undeath"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Transmute: Life to Earth"], 275, L["UWD"])
	ARL:addTradeSkill(BTS["Greater Stoneshield Potion"], 280, L["UWD"])
	ARL:addTradeSkill(BTS["Purification Potion"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Greater Arcane Elixir"], 285, L["UWD"])
	ARL:addTradeSkill(BTS["Flask of Petrification"], 300, L["UWD"])
	ARL:addTradeSkill(BTS["Insane Strength Potion"], 320, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of the Searching Eye"], 325, L["UWD"])
	ARL:addTradeSkill(BTS["Heroic Potion"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Haste Potion"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Destruction Potion"], 350, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Major Mageblood"], 355, L["UWD"])
	ARL:addTradeSkill(BTS["Elixir of Empowerment"], 365, L["UWD"])

	-- Specific Drops
	ARL:addTradeSkill(BTS["Discolored Healing Potion"], 50, L["Discolored Healing Potion Obt"], {BFAC["Horde"]})
	ARL:addTradeSkill(BTS["Mighty Troll's Blood Potion"], 180, L["Mighty Trolls Blood Potion Obt"])
	ARL:addTradeSkill(BTS["Goblin Rocket Fuel"], 210, L["Goblin Rocket Fuel Obt"])
	ARL:addTradeSkill(BTS["Lesser Stoneshield Potion"], 215, L["Lesser Stoneshield Potion Obt"])
	ARL:addTradeSkill(BTS["Restorative Potion"], 215, L["Restorative Potion Obt"])
	ARL:addTradeSkill(BTS["Wildvine Potion"], 225, L["Wildvine Potion Obt"])
	ARL:addTradeSkill(BTS["Gift of Arthas"], 240, L["Gift of Arthas Obt"])
	ARL:addTradeSkill(BTS["Elixir of Greater Firepower"], 250, L["Elixir of Greater Firepower Obt"])
	ARL:addTradeSkill(BTS["Mighty Rage Potion"], 255, L["Mighty Rage Potion Obt"])
	ARL:addTradeSkill(BTS["Elixir of the Sages"], 270, L["Elixir of the Sages Obt"])
	ARL:addTradeSkill(BTS["Elixir of Brute Force"], 275, L["Elixir of Brute Force Obt"])
	ARL:addTradeSkill(BTS["Transmute: Water to Air"], 275, L["Spectral Essence Obt"])
	ARL:addTradeSkill(BTS["Elixir of the Mongoose"], 280, L["Elixir of the Mongoose Obt"])
	ARL:addTradeSkill(BTS["Greater Fire Protection Potion"], 290, L["Greater Fire Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Greater Frost Protection Potion"], 290, L["Greater Frost Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Greater Nature Protection Potion"], 290, L["Greater Nature Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Greater Arcane Protection Potion"], 290, L["Greater Arcane Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Greater Shadow Protection Potion"], 290, L["Greater Shadow Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Major Mana Potion"], 295, L["Major Mana Potion Obt"] .. "\n    - " .. L["Spectral Essence Obt"])
	ARL:addTradeSkill(BTS["Flask of the Titans"], 300, L["Flask of the Titans Obt"])
	ARL:addTradeSkill(BTS["Flask of Distilled Wisdom"], 300, L["Flask of Distilled Wisdom Obt"])
	ARL:addTradeSkill(BTS["Flask of Supreme Power"], 300, L["Flask of Supreme Power Obt"])
	ARL:addTradeSkill(BTS["Flask of Chromatic Resistance"], 300, L["Flask of Chromatic Resistance Obt"])
	ARL:addTradeSkill(BTS["Fel Strength Elixir"], 335, L["Fel Strength Elixir Obt"])
	ARL:addTradeSkill(BTS["Fel Regeneration Potion"], 345, L["Fel Regeneration Potion Obt"])
	ARL:addTradeSkill(BTS["Major Arcane Protection Potion"], 360, L["Major Arcane Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Major Fire Protection Potion"], 360, L["Major Fire Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Major Frost Protection Potion"], 360, L["Major Frost Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Major Holy Protection Potion"], 360, L["Major Holy Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Major Shadow Protection Potion"], 360, L["Major Shadow Protection Potion Obt"])
	ARL:addTradeSkill(BTS["Fel Mana Potion"], 360, L["Fel Mana Potion Obt"])
	ARL:addTradeSkill(BTS["Ironshield Potion"], 365, L["Ironshield Potion Obt"])

	-- Seasonal
	ARL:addTradeSkill(BTS["Elixir of Frost Power"], 190, L["WintersVeil"], {L["Seasonal"]})

	-- Reputations
	ARL:addTradeSkill(BTS["Transmute: Air to Fire"], 275, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Argent Dawn"]), {BFAC["Argent Dawn"]})
	ARL:addTradeSkill(BTS["Transmute: Earth to Water"], 275, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Timbermaw Hold"]), {BFAC["Timbermaw Hold"]})
	ARL:addTradeSkill(BTS["Mageblood Potion"], 275, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Greater Dreamless Sleep Potion"], 275, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Living Action Potion"], 285, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Major Troll's Blood Potion"], 290, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Zandalar Tribe"]), {BFAC["Zandalar Tribe"], L["Raid"]})
	ARL:addTradeSkill(BTS["Transmute: Elemental Fire"], 300, ARL:ARL_AddReputation1(BFAC["Friendly"], BFAC["Thorium Brotherhood"]), {BFAC["Thorium Brotherhood"]})
	ARL:addTradeSkill(BTS["Alchemist's Stone"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Elixir of Major Firepower"], 345, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Scryers"]), {BFAC["The Scryers"]})
	ARL:addTradeSkill(BTS["Elixir of Major Shadow Power"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Lower City"]), {BFAC["Lower City"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Air to Fire"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["The Sha'tar"]), {BFAC["The Sha'tar"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Earth to Water"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Fire to Earth"], 350, ARL:ARL_AddReputation2(BFAC["Revered"], BFAC["Kurenai"], BFAC["The Mag'har"]), {BFAC["The Mag'har"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Water to Air"], 350, ARL:ARL_AddReputation1(BFAC["Revered"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Transmute: Earthstorm Diamond"], 350, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Transmute: Skyfire Diamond"], 350, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Major Nature Protection Potion"], 360, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Flask of Chromatic Wonder"], 375, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["The Violet Eye"]), {BFAC["The Violet Eye"], L["Raid"]})
	ARL:addTradeSkill(BTS["Earthen Elixir"], 320, ARL:ARL_AddReputation1(BFAC["Honored"], BFAC["Cenarion Expedition"]), {BFAC["Cenarion Expedition"]})
	ARL:addTradeSkill(BTS["Elixir of Major Agility"], 330, ARL:ARL_AddReputation2(BFAC["Honored"], BFAC["Honor Hold"], BFAC["Thrallmar"]), {BFAC["Thrallmar"]})
	ARL:addTradeSkill(BTS["Shrouding Potion"], 335, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Sporeggar"]), {BFAC["Sporeggar"]})
	ARL:addTradeSkill2(47046, 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkill2(47048, 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkill2(47049, 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})
	ARL:addTradeSkill2(47050, 375, ARL:ARL_AddReputation1(BFAC["Exalted"], BFAC["Shattered Sun Offensive"]), {BFAC["Shattered Sun Offensive"]})

	-- Raid Drops
	ARL:addTradeSkill2(22732, 300, L["MOLTENCORE"], {L["Raid"]})
	ARL:addTradeSkill2(24266, 300, L["Gurubashi Mojo Madness Obt"], {L["Raid"]})

	-- Discovery Recipes
	ARL:addTradeSkill(BTS["Transmute: Primal Fire to Mana"], 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Shadow to Water"], 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Life to Earth"], 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Earth to Life"], 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Mana to Fire"], 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Transmute: Primal Water to Shadow"], 350, L["Discovery - Transmutes"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Flask of Fortification"], 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Flask of Mighty Restoration"], 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Flask of Relentless Assault"], 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Flask of Blinding Light"], 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Flask of Pure Death"], 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Super Rejuvenation Potion"], 375, L["Discovery - Flasks/Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Cauldron of Major Arcane Protection"], 375, L["Discovery - Protection Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Cauldron of Major Fire Protection"], 375, L["Discovery - Protection Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Cauldron of Major Frost Protection"], 375, L["Discovery - Protection Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Cauldron of Major Nature Protection"], 375, L["Discovery - Protection Potions"], {L["Discovery"]})
	ARL:addTradeSkill(BTS["Cauldron of Major Shadow Protection"], 375, L["Discovery - Protection Potions"], {L["Discovery"]})

end
